From 34ae4edc14259baa96cf4d1b78c18692b480999b Mon Sep 17 00:00:00 2001
From: Carl Huang <cjhuang@codeaurora.org>
Date: Tue, 7 Jul 2020 18:00:40 +0800
Subject: [PATCH 152/173] ath11k: debug M3 download issue

This is to add some debug information. It rarely happens but firmware
finds the M3 header in memory are ZEROs and causes the assert in some
stress tests.

Tested-on: QCA6390 hw2.0 PCI WLAN.HST.1.0.1-01740-QCAHSTSWPLZ_V2_TO_X86-1

Change-Id: I052c13c331642aea8c413c7503f54a311332dc62
Signed-off-by: Carl Huang <cjhuang@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/qmi.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/drivers/net/wireless/ath/ath11k/qmi.c b/drivers/net/wireless/ath/ath11k/qmi.c
index 57f4d40..ff36246 100644
--- a/drivers/net/wireless/ath/ath11k/qmi.c
+++ b/drivers/net/wireless/ath/ath11k/qmi.c
@@ -2152,6 +2152,9 @@ static int ath11k_qmi_wlanfw_m3_info_send(struct ath11k_base *ab)
 
 		req.addr = m3_mem->paddr;
 		req.size = m3_mem->size;
+		ath11k_dbg(ab, ATH11K_DBG_QMI, "m3 paddr:0x%llx\n", req.addr);
+		ath11k_dbg_dump(ab, ATH11K_DBG_QMI,
+				"M3 data", NULL, m3_mem->vaddr, 128);
 	} else {
 		req.addr = 0;
 		req.size = 0;
-- 
1.9.1

